%global api_version 2.0
%global pkg_name portlet-api_%{api_version}_spec
Name:          portlet-2.0-api
Version:       1.0
Release:       %mkrel 20
Summary:       Java Portlet Specification V2.0
Group:         Development/Java
License:       ASL 2.0
Url:           https://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portlet-spec/tags/portlet-api_2.0_spec-1.0 portlet-2.0-api-1.0
# tar czf portlet-2.0-api-1.0-src-svn.tar.gz portlet-2.0-api-1.0
Source0:       %{name}-%{version}-src-svn.tar.gz

BuildRequires: mvn(org.apache.portals:portals-pom:pom:)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildArch:     noarch

%description
The Java Portlet API version 2.0 developed by the
Java Community Process JSR-286 Expert Group.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# cleanup
find . -name '*.class' -delete
find . -name '*.jar' -delete

for p in LICENSE NOTICE;do
  iconv -f iso8859-1 -t utf-8 ${p} > ${p}.conv && mv -f ${p}.conv ${p}
  sed -i 's/\r//' ${p}
done

# change apis version
sed -i "s|javax.servlet.http;version=2.4,*|javax.servlet.http;version=3.0,*|" pom.xml

# Force tomcat apis
%pom_remove_dep javax.servlet:servlet-api
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%mvn_file :%{pkg_name} %{name}
%mvn_alias :%{pkg_name} javax.portlet:portlet-api

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8 -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Mon May 27 2024 ns80 <ns80> 1.0-20.mga10
+ Revision: 2068229
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0-19.mga9
+ Revision: 1827957
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 1.0-18.mga8
+ Revision: 1669993
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.0-17.mga8
+ Revision: 1653178
- set java source and target version to 1.8 to fix build

* Fri Feb 14 2020 umeabot <umeabot> 1.0-16.mga8
+ Revision: 1520728
- Mageia 8 Mass Rebuild

* Wed Dec 05 2018 daviddavid <daviddavid> 1.0-15.mga7
+ Revision: 1338512
- rebuild for new tomcat-servlet-4.0-api

* Wed Sep 19 2018 umeabot <umeabot> 1.0-14.mga7
+ Revision: 1274456
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Mar 01 2016 neoclust <neoclust> 1.0-12.mga6
+ Revision: 981403
- First rebuild of the java stack
- sync package portlet-2.0-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.0-10.mga5
+ Revision: 805809
- Clean rebuild
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.0-8.mga5
+ Revision: 740089
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 563639
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 517640
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-4.mga3
+ Revision: 378087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 1.0-3.mga3
+ Revision: 292347
- Clean spec file

* Wed Oct 05 2011 gil <gil> 1.0-1.mga2
+ Revision: 151778
- imported package portlet-2.0-api

